package com.jbase.jbuilder5vcs;

/**
 * Title:        JBuilder/Perforce
 * Description:  Integration of Perforce on jBuilder, the goal is to represente <br>
 *                a applicative error of P4.
 * Copyright:    Copyright (c) 2001
 * Company:      jBase
 * @author      <a href="mailto:nicolasj@jbase.com">Nicolas Jorand</a>
 * @version     1.0
 * @since       JDK 1.3
 */
public class P4ErrorApplication extends Exception {
  private String _sTitle;
  public P4ErrorApplication() {
    super("");
  }

  public P4ErrorApplication(String sDescription) {
    super(sDescription);
  }

  public P4ErrorApplication(String sDescription, String sTitle) {
    super(sDescription);
    _sTitle = sTitle;
  }

  public String getTitle(){
    if (_sTitle == null)
      return "";
    else
      return _sTitle;
  }

}